Search Support

Beware of phishing attacks: Mozilla will never ask you to call a number or visit a non-Mozilla website. Please ignore such requests.

Learn More

downgrade quantum

  • 3 odpovede
  • 1 má tento problém
  • 6 zobrazení
  • Posledná odpoveď od user633449

more options

Can I please downgrade to Firefox 52 on Debian Stretch? I can't use Quantum. The user experience is seriously broken.

All Replies (3)

more options

You should not use an old and out of date version of Firefox. What is the issues you are experiencing in 60?

more options

Thanks.

As stated in the question, the user experience is seriously broken. I seem to have many issues. Mostly related to tabs. I cannot use a browser without Tab Mix Plus. Other legacy extensions are broken. I really, really dislike that big stupid back arrow circle. I don't want to use Chromium, Opera, Vivaldi, etc. I just want Firefox 52 and my extensions. Why is that so difficult?

more options

You can replace alot of tab mix plus with userChrome.css tweaks, as well as other things you don't really like.

Firefox 52 is no longer safe to use, and the extensions that ran on it are considered legacy and have been marked that for at least a year.